-- name: Arena - Twin Castle Siege
-- description: Adds a castle-and-moat themed level into Arena!\n(\\#ff0000\\Arena must be enabled to use this!\\#ffffff\\)\n\nMap by Buckley Tim

-- register the level here
LEVEL_ARENA_SIEGE = level_register('level_arena_siege_entry', COURSE_NONE, 'Twin Castle Siege', 'arena_siege', 28000, 0x08, 0x08, 0x08)

-- make sure we don't add the level twice
local sAddedLevels = false

function on_level_init()
    -- make sure we don't add the level twice
    if sAddedLevels then return end
    sAddedLevels = true

    -- make sure Arena was loaded
    if not _G.Arena then
        djui_popup_create("Error: the Arena gamemode wasn't loaded!", 2)
        return
    end

    -- add the level to arena
    _G.Arena.add_level(LEVEL_ARENA_SIEGE, 'Siege')
end

hook_event(HOOK_ON_LEVEL_INIT, on_level_init)
